
QGIS Application - Bug report #10483

polygons disappear on editing

2014-06-06 12:24 AM - Alessandro Ciali

Status: Closed

Priority: Severe/Regression

Assignee: Jürgen Fischer

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18895

Description

Some feature disappear from canvas after saving edits on a shapefile layer.

To reproduce, open test1.qgs, start edit on "ULT_area" layer, then delete a feature and save: some polygon are not drawn any more.

Closing and reopening of the project makes the polygons drawn in the right way.

Tested on QGIS release candidate veersion win 7 64bit

Related issues:

Related to QGIS Application - Bug report # 11007: Deleted/edited features wit... Closed 2014-08-05

Associated revisions

Revision cf7e016b - 2014-06-13 10:54 PM - Jürgen Fischer

ogr: don't create spatial index for shapes after deletes. That was supposed to

also run a repack and doesn't work without (fixes #10483, refs #8317, refs #8822)

Revision 7d7cdcd3 - 2015-05-28 12:34 PM - Matthias Kuhn

Repack shapefiles when saving after deleting features

    -  QgsVectorDataProvider::dataChanged() will be emitted

    -  QgsVectorLayer::dataChanged() will be emitted

    -  Clears QgsVectorLayerCache

    -  Reloads the attribute table

    -  Clears the selection

Looking forward to people complaining about their lost selection...

Fix #10560

Fix #11989

Refs #8317

Refs #8822

Refs #10483

Refs #11007

Refs #7540

Refs #11398

Refs #11296
History

#1 - 2014-06-06 12:38 AM - Giovanni Manghi

- Status changed from Open to Feedback

it is ok on 2.2?

#2 - 2014-06-06 12:57 AM - Alessandro Ciali

Yes, works ok in 2.2, It seems a regression

#3 - 2014-06-06 01:47 AM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

#4 - 2014-06-06 10:22 PM - Richard Duivenvoorde

I tested here, both on DebianTesting64 and Windows32 but can NOT confirm this. With me all works ok.

Somebody else with 64bit Windows can test?

#5 - 2014-06-06 11:50 PM - Alessandro Ciali

Giovanni, can You confirm this? I will test the 32 bit as soon as I can.

#6 - 2014-06-08 01:27 AM - Giovanni Manghi

- Status changed from Feedback to Open

Alessandro Ciali wrote:

Giovanni, can You confirm this? I will test the 32 bit as soon as I can.

I can confirm it on Win 64 with QGIS/osgeo4w 64 bit master.

#7 - 2014-06-08 08:17 PM - Martin Dobias

I cannot confirm on Linux/64bit.

#8 - 2014-06-08 11:56 PM - Jürgen Fischer

- Status changed from Open to Feedback

#9 - 2014-06-09 12:11 AM - Alessandro Ciali

So it seems the only windows 64bit version is affected.
#10 - 2014-06-09 01:08 AM - Alessandro Ciali

On the same computer I have installed 32 bit master just now, but I have the same problems (after deleting one poygon and saveing, some polygons are

not drawn till restart of QGIS).

Fresh installation and no third part plugins.

Maybe a problem with 64bit processor? I have experienced the same problem with Intel and AMD 64bit processors.

#11 - 2014-06-09 02:36 AM - Giovanni Manghi

Martin Dobias wrote:

I cannot confirm on Linux/64bit.

it only happens on Win64

#12 - 2014-06-09 09:35 AM - Giovanni Manghi

- Status changed from Feedback to Open

#13 - 2014-06-11 08:09 PM - James Harvey

This appears to be the same problem as mine on Windows 64. I have some notes about my experience here #10540

#14 - 2014-06-13 05:31 AM - Jürgen Fischer

- Assignee set to Jürgen Fischer

#15 - 2014-06-13 01:54 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"cf7e016be9fe36f4b83eec22d2798aefc016790b".

Files

test1.zip 293 KB 2014-06-05 Alessandro Ciali
